LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XRemoteContentProviderSupplier Interface Referencepublished

Provide access to a collection of remote content providers. More...

`import"XRemoteContentProviderSupplier.idl";`

Inheritance diagram for XRemoteContentProviderSupplier:

## Public Member Functions
com::sun::star::lang::XMultiServiceFactory | queryRemoteContentProvider ([in] string Identifier)
| Get a factory through which a remote content provider's UniversalContentBroker service can be instantiated. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Provide access to a collection of remote content providers.

Version
  1.0

Author
  Stephan Bergmann

See also
  XRemoteContentProviderAcceptor

## Member Function Documentation

## ◆ queryRemoteContentProvider()

com::sun::star::lang::XMultiServiceFactory queryRemoteContentProvider | ( | [in] string | Identifier | ) |

Get a factory through which a remote content provider's UniversalContentBroker service can be instantiated.

Parameters

  Identifier | An arbitrary identifier uniquely identifying a remote content provider.

Returns
  the appropriate factory, or null if none is available.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XRemoteContentProviderSupplier.idl